Page MenuHomePhabricator

1.33.0-wmf.19 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.33.0-wmf.19
Release Date
1551052800
Related Gerrit Patches:
operations/mediawiki-config : mastergroup1 (except commonswiki) to 1.33.0-wmf.19
operations/mediawiki-config : masterRevert "group1 wikis to 1.33.0-wmf.19"
operations/mediawiki-config : masterGroup0 to 1.33.0-wmf.19

2019 week 09 1.33-wmf.19 Changes wmf/1.33.0-wmf.19

This MediaWiki Train Deployment is scheduled for the week of Monday, February 25th:

Monday February 25thTuesday, February 26thWednesday, February 27thThursday, February 28thFriday
SWAT deployments only.Branch wmf.19 and deploy to Group 0 Wikis.Deploy wmf.19 to Group 1 Wikis.Deploy wmf.19 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.19 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.33.0-wmf.18
Next: 1.33.0-wmf.20

Event Timeline

greg created this task.Oct 10 2018, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 5:23 PM
greg triaged this task as Medium priority.Oct 10 2018, 7:26 PM

Mentioned in SAL (#wikimedia-operations) [2019-02-26T14:20:47Z] <hashar> Applied 1.33.0-wmf.19 security patches | T206673

Change 493028 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Group0 to 1.33.0-wmf.19

https://gerrit.wikimedia.org/r/493028

Mentioned in SAL (#wikimedia-operations) [2019-02-26T15:02:12Z] <hashar@deploy1001> Started scap: testwiki to php-1.33.0-wmf.19 and rebuild l10n cache # T206673

Mentioned in SAL (#wikimedia-operations) [2019-02-26T16:00:27Z] <hashar@deploy1001> Finished scap: testwiki to php-1.33.0-wmf.19 and rebuild l10n cache # T206673 (duration: 58m 17s)

Change 493028 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.33.0-wmf.19

https://gerrit.wikimedia.org/r/493028

Mentioned in SAL (#wikimedia-operations) [2019-02-26T16:14:18Z] <hashar@deploy1001> rebuilt and synchronized wikiversions files: group0 to 1.33.0-wmf.19 # T206673

hashar claimed this task.Feb 26 2019, 4:14 PM

Change 493309 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Revert "group1 wikis to 1.33.0-wmf.19"

https://gerrit.wikimedia.org/r/493309

Change 493309 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "group1 wikis to 1.33.0-wmf.19"

https://gerrit.wikimedia.org/r/493309

commonswiki is emitting exceptions so I have rollbacked group1. Filled as T217285

Change 493319 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] group1 (except commonswiki) to 1.33.0-wmf.19

https://gerrit.wikimedia.org/r/493319

Change 493319 abandoned by Hashar:
group1 (except commonswiki) to 1.33.0-wmf.19

Reason:
Per internal discussion, it is better to just block the whole train instead of leaving commonswiki behind.

https://gerrit.wikimedia.org/r/493319

Mentioned in SAL (#wikimedia-operations) [2019-02-28T22:03:58Z] <hashar> MediaWiki 1.33.0-wmf.19 deployed on all wikis # T206673

hashar closed this task as Resolved.Feb 28 2019, 10:05 PM

The last promotion went a bit crazy since we suffered a logging outage around the deployment. But eventually it got resolved and logstash is not concerning for 1.33.0-wmf.19.

There are a few follow up tasks but nothing worth a rollback.

MW-1.33-notes (1.33.0-wmf.19; 2019-02-26) has made it to all wikis \o/